%global vendor      technomancy
%global groupId     lancet
%global artifactId  lancet
%global archivename %{vendor}-%{artifactId}
%global commit_hash 773e48f

Name:           lancet
Version:        1.0.1
Release:        2%{?dist}
Summary:        A build tool like Ant or Rake

Group:          Development/Languages
License:        EPL
URL:            https://github.com/technomancy/lancet/
# wget --content-disposition \
#   https://github.com/%{vendor}/{groupId}/zipball/1.1.0
Source0:        %{archivename}-1.1.0-0-g%{commit_hash}.zip
# Generated using Leiningen 1.7.1
Source1:        lancet-pom.xml

BuildArch:      noarch

BuildRequires:  maven

BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  jpackage-utils >= 1.5
BuildRequires:  java-devel >= 1:1.6.0

Requires:       java >= 1:1.6
Requires:       ant >= 1.7.1
Requires:       ant-nodeps
%if 0%{?rhel}
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
%endif

%description
Lancet is a build tool like Ant or Rake. Lancet makes it
easy to create build targets: any Clojure function can be
a build target. Lancet can call Ant tasks, or shell out
and call other processes.

%prep
%setup -q -n %{archivename}-%{commit_hash}
cp -p %{SOURCE1} pom.xml

%build
%if 0%{?rhel}
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
%else
mvn-rpmbuild \
%endif
install

%install

# jar - link to prefix'd jar so that java stuff knows where to look
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom


%if 0%{?add_maven_depmap:1}
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%else
# some systems like RHEL do not have add_maven_depmap defined
# - probably don't need JPP/%%{name} -- do we?
%add_to_maven_depmap %{groupId} %{artifactId} %{version} JPP %{name}
%endif

%clean
rm -rf %{buildroot}

%if 0%{?rhel}
%post
%update_maven_depmap

%postun
%update_maven_depmap
%endif

%files
%doc README LICENSE
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}.jar

%changelog
* Mon Jun 11 2012 Kushal Das <kushal@fedoraproject.org> - 1.0.1-2
- Fixes after review

* Fri Jun 07 2012 Kushal Das <kushal@fedoraproject.org> - 1.0.1-1
- initial version

